%global momorel 1
%global date 20050317
%global scimver 1.2.1
%global skimver 1.2.1
%global qtver 3.3.4
%global kdever 3.3.2
%global qtdir %{_libdir}/qt-%{qtver}
%global kdedir /usr

Name: scim-qtimm
Summary: SCIM context plugin for qt-immodule
Version: 0.8.5
Release: 0.%{date}.%{momorel}m
Group: User Interface/X
License: GPL
URL: http://immodule-qt.freedesktop.org/Software/ScimQtImm
# %%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.bz2 845ddf0b837acb6ce63fdab5fd16c3d1
Source0: %{name}-%{version}-cvs-%{date}.tar.bz2
Patch0: 64bit.patch
Patch1: disable-debug.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt = %{qtver}, kdelibs >= %{kdever}
Requires: scim >= %{scimver}, skim >= %{skimver}
BuildPreReq: qt-devel = %{qtver}, kdelibs-devel >= %{kdever}
BuildPreReq: scim-devel >= %{scimver}, skim >= %{skimver}

%description
SCIM context plugin for qt-immodule

%prep
%setup -q -n %{name}
%patch0 -p1 -b .64bit
%patch1 -p0 -b .disable_debug

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

./bootstrap

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-dir=%{qtdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{qtdir}/plugins/inputmethods/*.la
%{qtdir}/plugins/inputmethods/*.so
%{_datadir}/config.kcfg/qtimm.kcfg
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skimconfiguredialog/*.desktop

%changelog
* Fri Mar 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-0.20050317.1m)
- update to 20050317 CVS snapshot
- update Patch0: 64bit.patch

* Thu Mar 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-2m)
- correct Requires and BuildPreReq

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-1m)
- update to 0.8.5
- import 64bit.patch and disable-debug.diff from SUSE
  pub/projects/m17n/9.2/src/scim-qtimm-0.8.5-2.1.src.rpm

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- initial package for Momonga Linux

* Thu Jul 17 2004 LiuCougar <liuspider@users.sourceforge.net> 0.5-0.r10.1
- update the version

* Thu Jul 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.3
- spec for official scim-qtimm

* Mon Jul 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.2ut
- fix URL
- remove Conflicts

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
